Bug 1876607 (CVE-2019-8625) - CVE-2019-8625 webkitgtk: Incorrect state management leading to universal cross-site scripting
Summary: CVE-2019-8625 webkitgtk: Incorrect state management leading to universal cros...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-8625
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1877119 1877358
Blocks: 1876477
TreeView+ depends on / blocked
 
Reported: 2020-09-07 17:32 UTC by Tomas Hoger
Modified: 2021-02-16 19:21 UTC (History)
3 users (show)

Fixed In Version: webkitgtk 2.26.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-29 22:03:11 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4035 0 None None None 2020-09-29 20:47:49 UTC
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:04:54 UTC

Description Tomas Hoger 2020-09-07 17:32:01 UTC
WebKitGTK Security Advisory WSA-2019-0005 describes the following issue:

CVE-2019-8625

Impact: Processing maliciously crafted web content may lead to universal cross site scripting. Description: A logic issue was addressed with improved state management.

Versions affected: WebKitGTK before 2.26.0 and WPE WebKit before 2.26.0.

Comment 1 Tomas Hoger 2020-09-07 17:32:05 UTC
External References:

https://webkitgtk.org/security/WSA-2019-0005.html

Comment 3 errata-xmlrpc 2020-09-29 20:47:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4035 https://access.redhat.com/errata/RHSA-2020:4035

Comment 4 Product Security DevOps Team 2020-09-29 22:03:11 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-8625

Comment 5 errata-xmlrpc 2020-11-04 01:04:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4451 https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.